diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/test/cobalt-queue-disc-test-suite.cc ns-3.44/src/traffic-control/test/cobalt-queue-disc-test-suite.cc
--- ns-3.43/src/traffic-control/test/cobalt-queue-disc-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/test/cobalt-queue-disc-test-suite.cc	2025-03-09 16:55:49.727372400 -0700
@@ -22,9 +22,9 @@
 using namespace ns3;
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Cobalt Queue Disc Test Item
+ * @brief Cobalt Queue Disc Test Item
  */
 class CobaltQueueDiscTestItem : public QueueDiscItem
 {
@@ -32,9 +32,9 @@
     /**
      * Constructor
      *
-     * \param p packet
-     * \param addr address
-     * \param ecnCapable ECN capable
+     * @param p packet
+     * @param addr address
+     * @param ecnCapable ECN capable
      */
     CobaltQueueDiscTestItem(Ptr<Packet> p, const Address& addr, bool ecnCapable);
     ~CobaltQueueDiscTestItem() override;
@@ -75,9 +75,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Test 1: simple enqueue/dequeue with no drops
+ * @brief Test 1: simple enqueue/dequeue with no drops
  */
 class CobaltQueueDiscBasicEnqueueDequeue : public TestCase
 {
@@ -85,16 +85,16 @@
     /**
      * Constructor
      *
-     * \param mode the mode
+     * @param mode the mode
      */
     CobaltQueueDiscBasicEnqueueDequeue(QueueSizeUnit mode);
     void DoRun() override;
 
     /**
      * Queue test size function
-     * \param queue the queue disc
-     * \param size the size
-     * \param error the error string
+     * @param queue the queue disc
+     * @param size the size
+     * @param error the error string
      *
      */
 
@@ -245,9 +245,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Test 2: Cobalt Queue Disc Drop Test Item
+ * @brief Test 2: Cobalt Queue Disc Drop Test Item
  */
 class CobaltQueueDiscDropTest : public TestCase
 {
@@ -256,23 +256,23 @@
     void DoRun() override;
     /**
      * Enqueue function
-     * \param queue the queue disc
-     * \param size the size
-     * \param nPkt the number of packets
+     * @param queue the queue disc
+     * @param size the size
+     * @param nPkt the number of packets
      */
     void Enqueue(Ptr<CobaltQueueDisc> queue, uint32_t size, uint32_t nPkt);
     /**
      * Run Cobalt test function
-     * \param mode the mode
+     * @param mode the mode
      */
     void RunDropTest(QueueSizeUnit mode);
     /**
      * Enqueue the given number of packets, each of the given size,
      * at different times.
      *
-     * \param queue the queue disc
-     * \param size the packet size in bytes
-     * \param nPkt the number of packets
+     * @param queue the queue disc
+     * @param size the packet size in bytes
+     * @param nPkt the number of packets
      */
     void EnqueueWithDelay(Ptr<CobaltQueueDisc> queue, uint32_t size, uint32_t nPkt);
 };
@@ -318,7 +318,7 @@
         EnqueueWithDelay(queue, 1, 200);
     }
 
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
 
     QueueDisc::Stats st = queue->GetStats();
@@ -337,7 +337,7 @@
     double delay = 0.01; // enqueue packets with delay
     for (uint32_t i = 0; i < nPkt; i++)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * delay)),
+        Simulator::Schedule(Seconds((i + 1) * delay),
                             &CobaltQueueDiscDropTest::Enqueue,
                             this,
                             queue,
@@ -365,9 +365,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Test 3: Cobalt Queue Disc ECN marking Test Item
+ * @brief Test 3: Cobalt Queue Disc ECN marking Test Item
  */
 class CobaltQueueDiscMarkTest : public TestCase
 {
@@ -375,31 +375,31 @@
     /**
      * Constructor
      *
-     * \param mode the mode
+     * @param mode the mode
      */
     CobaltQueueDiscMarkTest(QueueSizeUnit mode);
     void DoRun() override;
 
   private:
     /**
-     * \brief Enqueue function
-     * \param queue the queue disc
-     * \param size the size
-     * \param nPkt the number of packets
-     * \param ecnCapable ECN capable traffic
+     * @brief Enqueue function
+     * @param queue the queue disc
+     * @param size the size
+     * @param nPkt the number of packets
+     * @param ecnCapable ECN capable traffic
      */
     void Enqueue(Ptr<CobaltQueueDisc> queue, uint32_t size, uint32_t nPkt, bool ecnCapable);
     /**
-     * \brief Dequeue function
-     * \param queue the queue disc
-     * \param modeSize the mode size
-     * \param testCase the test case number
+     * @brief Dequeue function
+     * @param queue the queue disc
+     * @param modeSize the mode size
+     * @param testCase the test case number
      */
     void Dequeue(Ptr<CobaltQueueDisc> queue, uint32_t modeSize, uint32_t testCase);
     /**
-     * \brief Drop next tracer function
-     * \param oldVal the old value of m_dropNext
-     * \param newVal the new value of m_dropNext
+     * @brief Drop next tracer function
+     * @param oldVal the old value of m_dropNext
+     * @param newVal the new value of m_dropNext
      */
     void DropNextTracer(int64_t oldVal, int64_t newVal);
     QueueSizeUnit m_mode;             ///< mode
@@ -818,9 +818,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Test 4: Cobalt Queue Disc CE Threshold marking Test Item
+ * @brief Test 4: Cobalt Queue Disc CE Threshold marking Test Item
  */
 class CobaltQueueDiscCeThresholdTest : public TestCase
 {
@@ -828,7 +828,7 @@
     /**
      * Constructor
      *
-     * \param mode the queue size unit mode
+     * @param mode the queue size unit mode
      */
     CobaltQueueDiscCeThresholdTest(QueueSizeUnit mode);
     ~CobaltQueueDiscCeThresholdTest() override;
@@ -836,32 +836,32 @@
   private:
     void DoRun() override;
     /**
-     * \brief Enqueue function
-     * \param queue the queue disc
-     * \param size the size
-     * \param nPkt the number of packets
+     * @brief Enqueue function
+     * @param queue the queue disc
+     * @param size the size
+     * @param nPkt the number of packets
      */
     void Enqueue(Ptr<CobaltQueueDisc> queue, uint32_t size, uint32_t nPkt);
     /**
-     * \brief Enqueue with delay function
-     * \param queue the queue disc
-     * \param size the size
-     * \param nPkt the number of packets
-     * \param delay the delay between the enqueueing of the packets
+     * @brief Enqueue with delay function
+     * @param queue the queue disc
+     * @param size the size
+     * @param nPkt the number of packets
+     * @param delay the delay between the enqueueing of the packets
      */
     void EnqueueWithDelay(Ptr<CobaltQueueDisc> queue, uint32_t size, uint32_t nPkt, Time delay);
     /**
-     * \brief Dequeue function
-     * \param queue the queue disc
-     * \param modeSize the mode size
+     * @brief Dequeue function
+     * @param queue the queue disc
+     * @param modeSize the mode size
      */
     void Dequeue(Ptr<CobaltQueueDisc> queue, uint32_t modeSize);
     /**
-     * \brief Dequeue with delay function
-     * \param queue the queue disc
-     * \param modeSize the mode size
-     * \param nPkt the number of packets
-     * \param delay the delay between the enqueueing of the packets
+     * @brief Dequeue with delay function
+     * @param queue the queue disc
+     * @param modeSize the mode size
+     * @param nPkt the number of packets
+     * @param delay the delay between the enqueueing of the packets
      */
     void DequeueWithDelay(Ptr<CobaltQueueDisc> queue, uint32_t modeSize, uint32_t nPkt, Time delay);
     QueueSizeUnit m_mode; ///< mode
@@ -895,7 +895,7 @@
 {
     for (uint32_t i = 0; i < nPkt; i++)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * delay.GetSeconds())),
+        Simulator::Schedule(Seconds((i + 1) * delay.GetSeconds()),
                             &CobaltQueueDiscCeThresholdTest::Enqueue,
                             this,
                             queue,
@@ -940,7 +940,7 @@
 {
     for (uint32_t i = 0; i < nPkt; i++)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * delay.GetSeconds())),
+        Simulator::Schedule(Seconds((i + 1) * delay.GetSeconds()),
                             &CobaltQueueDiscCeThresholdTest::Dequeue,
                             this,
                             queue,
@@ -1029,9 +1029,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Test 5: Cobalt Queue Disc Enhanced Blue Test Item
+ * @brief Test 5: Cobalt Queue Disc Enhanced Blue Test Item
  * This test checks that the Blue Enhancement is working correctly. This test checks that Pdrop
  * should increase as expected with a certain number of dropped packets which is fixed by assigning
  * a stream to the uniform random variable. This test case is divided into 2 sub test cases 1) With
@@ -1046,7 +1046,7 @@
     /**
      * Constructor
      *
-     * \param mode the queue size unit mode
+     * @param mode the queue size unit mode
      */
     CobaltQueueDiscEnhancedBlueTest(QueueSizeUnit mode);
     ~CobaltQueueDiscEnhancedBlueTest() override;
@@ -1055,21 +1055,21 @@
     void DoRun() override;
     /**
      * Enqueue function
-     * \param queue the queue disc
-     * \param size the size
-     * \param nPkt the number of packets
+     * @param queue the queue disc
+     * @param size the size
+     * @param nPkt the number of packets
      */
     void Enqueue(Ptr<CobaltQueueDisc> queue, uint32_t size, uint32_t nPkt);
     /**
-     * \brief Dequeue function
-     * \param queue the queue disc
+     * @brief Dequeue function
+     * @param queue the queue disc
      */
     void Dequeue(Ptr<CobaltQueueDisc> queue);
     /**
-     * \brief Dequeue with delay function
-     * \param queue the queue disc
-     * \param nPkt the number of packets
-     * \param delay the delay between the enqueueing of the packets
+     * @brief Dequeue with delay function
+     * @param queue the queue disc
+     * @param nPkt the number of packets
+     * @param delay the delay between the enqueueing of the packets
      */
     void DequeueWithDelay(Ptr<CobaltQueueDisc> queue, uint32_t nPkt, Time delay);
     QueueSizeUnit m_mode; ///< mode
@@ -1106,7 +1106,7 @@
     Enqueue(queue, modeSize, 200);
     DequeueWithDelay(queue, 100, MilliSeconds(10));
 
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
 
     QueueDisc::Stats st = queue->GetStats();
@@ -1135,7 +1135,7 @@
     Enqueue(queue, modeSize, 200);
     DequeueWithDelay(queue, 100, MilliSeconds(10));
 
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Simulator::Run();
 
     st = queue->GetStats();
@@ -1170,7 +1170,7 @@
 {
     for (uint32_t i = 0; i < nPkt; i++)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * delay.GetSeconds())),
+        Simulator::Schedule(Seconds((i + 1) * delay.GetSeconds()),
                             &CobaltQueueDiscEnhancedBlueTest::Dequeue,
                             this,
                             queue);
@@ -1178,7 +1178,7 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  * The COBALT queue disc test suite.
  */
 static class CobaltQueueDiscTestSuite : public TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/test/codel-queue-disc-test-suite.cc ns-3.44/src/traffic-control/test/codel-queue-disc-test-suite.cc
--- ns-3.43/src/traffic-control/test/codel-queue-disc-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/test/codel-queue-disc-test-suite.cc	2025-03-09 16:55:49.727372400 -0700
@@ -46,9 +46,9 @@
 // End Linux borrow
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Codel Queue Disc Test Item
+ * @brief Codel Queue Disc Test Item
  */
 class CodelQueueDiscTestItem : public QueueDiscItem
 {
@@ -56,9 +56,9 @@
     /**
      * Constructor
      *
-     * \param p packet
-     * \param addr address
-     * \param ecnCapable ECN capable
+     * @param p packet
+     * @param addr address
+     * @param ecnCapable ECN capable
      */
     CodelQueueDiscTestItem(Ptr<Packet> p, const Address& addr, bool ecnCapable);
     ~CodelQueueDiscTestItem() override;
@@ -97,9 +97,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Test 1: simple enqueue/dequeue with no drops
+ * @brief Test 1: simple enqueue/dequeue with no drops
  */
 class CoDelQueueDiscBasicEnqueueDequeue : public TestCase
 {
@@ -107,7 +107,7 @@
     /**
      * Constructor
      *
-     * \param mode the mode
+     * @param mode the mode
      */
     CoDelQueueDiscBasicEnqueueDequeue(QueueSizeUnit mode);
     void DoRun() override;
@@ -259,9 +259,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Test 2: enqueue with drops due to queue overflow
+ * @brief Test 2: enqueue with drops due to queue overflow
  */
 class CoDelQueueDiscBasicOverflow : public TestCase
 {
@@ -269,7 +269,7 @@
     /**
      * Constructor
      *
-     * \param mode the mode
+     * @param mode the mode
      */
     CoDelQueueDiscBasicOverflow(QueueSizeUnit mode);
     void DoRun() override;
@@ -277,9 +277,9 @@
   private:
     /**
      * Enqueue function
-     * \param queue the queue disc
-     * \param size the size
-     * \param nPkt the number of packets
+     * @param queue the queue disc
+     * @param size the size
+     * @param nPkt the number of packets
      */
     void Enqueue(Ptr<CoDelQueueDisc> queue, uint32_t size, uint32_t nPkt);
     QueueSizeUnit m_mode; ///< mode
@@ -350,9 +350,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Test 3: NewtonStep unit test - test against explicit port of Linux implementation
+ * @brief Test 3: NewtonStep unit test - test against explicit port of Linux implementation
  */
 class CoDelQueueDiscNewtonStepTest : public TestCase
 {
@@ -378,7 +378,7 @@
     {
         for (uint32_t count = 1; count < 0xff; count *= 2)
         {
-            result = queue->NewtonStep(recInvSqrt, count);
+            result = CoDelQueueDisc::NewtonStep(recInvSqrt, count);
             // Test that ns-3 value is exactly the same as the Linux value
             NS_TEST_ASSERT_MSG_EQ(_codel_Newton_step(recInvSqrt, count),
                                   result,
@@ -388,9 +388,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Test 4: ControlLaw unit test - test against explicit port of Linux implementation
+ * @brief Test 4: ControlLaw unit test - test against explicit port of Linux implementation
  */
 class CoDelQueueDiscControlLawTest : public TestCase
 {
@@ -399,10 +399,10 @@
     void DoRun() override;
     /**
      * Codel control law function
-     * \param t
-     * \param interval
-     * \param recInvSqrt
-     * \returns the codel control law
+     * @param t
+     * @param interval
+     * @param recInvSqrt
+     * @returns the codel control law
      */
     uint32_t _codel_control_law(uint32_t t, uint32_t interval, uint32_t recInvSqrt);
 };
@@ -436,7 +436,7 @@
         for (uint16_t recInvSqrt = 0xff; recInvSqrt > 0; recInvSqrt /= 2)
         {
             codelTimeVal = queue->Time2CoDel(timeVal);
-            uint32_t ns3Result = queue->ControlLaw(codelTimeVal, interval, recInvSqrt);
+            uint32_t ns3Result = CoDelQueueDisc::ControlLaw(codelTimeVal, interval, recInvSqrt);
             uint32_t linuxResult = _codel_control_law(codelTimeVal, interval, recInvSqrt);
             NS_TEST_ASSERT_MSG_EQ(ns3Result,
                                   linuxResult,
@@ -446,9 +446,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Test 5: enqueue/dequeue with drops according to CoDel algorithm
+ * @brief Test 5: enqueue/dequeue with drops according to CoDel algorithm
  */
 class CoDelQueueDiscBasicDrop : public TestCase
 {
@@ -456,7 +456,7 @@
     /**
      * Constructor
      *
-     * \param mode the mode
+     * @param mode the mode
      */
     CoDelQueueDiscBasicDrop(QueueSizeUnit mode);
     void DoRun() override;
@@ -464,20 +464,20 @@
   private:
     /**
      * Enqueue function
-     * \param queue the queue disc
-     * \param size the size
-     * \param nPkt the number of packets
+     * @param queue the queue disc
+     * @param size the size
+     * @param nPkt the number of packets
      */
     void Enqueue(Ptr<CoDelQueueDisc> queue, uint32_t size, uint32_t nPkt);
     /** Dequeue function
-     * \param queue the queue disc
-     * \param modeSize the mode size
+     * @param queue the queue disc
+     * @param modeSize the mode size
      */
     void Dequeue(Ptr<CoDelQueueDisc> queue, uint32_t modeSize);
     /**
      * Drop next tracer function
-     * \param oldVal the old value
-     * \param newVal the new value
+     * @param oldVal the old value
+     * @param newVal the new value
      */
     void DropNextTracer(uint32_t oldVal, uint32_t newVal);
     QueueSizeUnit m_mode;     ///< mode
@@ -658,9 +658,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Test 6: enqueue/dequeue with marks according to CoDel algorithm
+ * @brief Test 6: enqueue/dequeue with marks according to CoDel algorithm
  */
 class CoDelQueueDiscBasicMark : public TestCase
 {
@@ -668,7 +668,7 @@
     /**
      * Constructor
      *
-     * \param mode the mode
+     * @param mode the mode
      */
     CoDelQueueDiscBasicMark(QueueSizeUnit mode);
     void DoRun() override;
@@ -676,22 +676,22 @@
   private:
     /**
      * Enqueue function
-     * \param queue the queue disc
-     * \param size the size
-     * \param nPkt the number of packets
-     * \param ecnCapable ECN capable traffic
+     * @param queue the queue disc
+     * @param size the size
+     * @param nPkt the number of packets
+     * @param ecnCapable ECN capable traffic
      */
     void Enqueue(Ptr<CoDelQueueDisc> queue, uint32_t size, uint32_t nPkt, bool ecnCapable);
     /** Dequeue function
-     * \param queue the queue disc
-     * \param modeSize the mode size
-     * \param testCase the test case number
+     * @param queue the queue disc
+     * @param modeSize the mode size
+     * @param testCase the test case number
      */
     void Dequeue(Ptr<CoDelQueueDisc> queue, uint32_t modeSize, uint32_t testCase);
     /**
      * Drop next tracer function
-     * \param oldVal the old value
-     * \param newVal the new value
+     * @param oldVal the old value
+     * @param newVal the new value
      */
     void DropNextTracer(uint32_t oldVal, uint32_t newVal);
     QueueSizeUnit m_mode;             ///< mode
@@ -1310,9 +1310,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief CoDel Queue Disc Test Suite
+ * @brief CoDel Queue Disc Test Suite
  */
 static class CoDelQueueDiscTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/test/fifo-queue-disc-test-suite.cc ns-3.44/src/traffic-control/test/fifo-queue-disc-test-suite.cc
--- ns-3.43/src/traffic-control/test/fifo-queue-disc-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/test/fifo-queue-disc-test-suite.cc	2025-03-09 16:55:49.727372400 -0700
@@ -23,9 +23,9 @@
 using namespace ns3;
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Fifo Queue Disc Test Item
+ * @brief Fifo Queue Disc Test Item
  */
 class FifoQueueDiscTestItem : public QueueDiscItem
 {
@@ -33,8 +33,8 @@
     /**
      * Constructor
      *
-     * \param p the packet
-     * \param addr the address
+     * @param p the packet
+     * @param addr the address
      */
     FifoQueueDiscTestItem(Ptr<Packet> p, const Address& addr);
     ~FifoQueueDiscTestItem() override;
@@ -69,9 +69,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Fifo Queue Disc Test Case
+ * @brief Fifo Queue Disc Test Case
  */
 class FifoQueueDiscTestCase : public TestCase
 {
@@ -82,14 +82,14 @@
   private:
     /**
      * Run test function
-     * \param mode the test mode
+     * @param mode the test mode
      */
     void RunFifoTest(QueueSizeUnit mode);
     /**
      * Run test function
-     * \param q the queue disc
-     * \param qSize the expected size of the queue disc
-     * \param pktSize the packet size
+     * @param q the queue disc
+     * @param qSize the expected size of the queue disc
+     * @param pktSize the packet size
      */
     void DoRunFifoTest(Ptr<FifoQueueDisc> q, uint32_t qSize, uint32_t pktSize);
 };
@@ -255,9 +255,9 @@
 }
 
 /**
- * \ingroup traffic-control-test
+ * @ingroup traffic-control-test
  *
- * \brief Fifo Queue Disc Test Suite
+ * @brief Fifo Queue Disc Test Suite
  */
 static class FifoQueueDiscTestSuite : public TestSuite
 {
